Bug 426543 - ksysguardd should be a separate package
ksysguardd should be a separate package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 16:50 EST by Greg Martyn
Modified: 2008-05-21 06:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.4-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 06:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2007-12-21 16:50:12 EST
Description of problem:
(note the extra d at the end of the daemon process' name)
ksysguard is a gui that uses ksysguardd as a backend. ksysguardd itself doesn't
have any external dependencies, and doesn't even require kde. (if it does, then
that's a bug in ksysguardd) ksysguard can connect to remote computers and
monitor them as long as the remote computer has ksysguardd installed.

Version-Release number of selected component (if applicable):
all

How reproducible:
N/A

Steps to Reproduce:
1. N/A

Actual results:
ksysguardd is part of the kdebase package

Expected results:
ksysguardd is a separate package that kdebase depends on

Additional info:
If you need changes made to ksysguardd, let me know so that I can make them.
Comment 1 Laurent Rineau 2008-03-11 18:14:53 EDT
+1

I was about to submit the same RFE. I have a server, hosted far from my home. 
I would have liked to be able to monitor it using the "remote ssh" feature of 
ksysguard, on my laptop.

ksysguardd does not map any part of KDE. Here is the /proc/$PID/map of 
ksysguardd on my machine (Fedora-8, kdebase-3.5.9-3.fc8):
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00489000-0049f000 r-xp 00000000 08:07 2868085    /usr/lib/libsensors.so.3.1.4
0049f000-004bf000 rwxp 00016000 08:07 2868085    /usr/lib/libsensors.so.3.1.4
004bf000-004c0000 rwxp 004bf000 00:00 0
004c2000-004cd000 r-xp 00000000 08:07 2867862    /usr/lib/libsysfs.so.2.0.1
004cd000-004ce000 rwxp 0000a000 08:07 2867862    /usr/lib/libsysfs.so.2.0.1
00bcb000-00be6000 r-xp 00000000 08:07 1228839    /lib/ld-2.7.so
00be6000-00be7000 r-xp 0001a000 08:07 1228839    /lib/ld-2.7.so
00be7000-00be8000 rwxp 0001b000 08:07 1228839    /lib/ld-2.7.so
00bea000-00d3d000 r-xp 00000000 08:07 1232302    /lib/libc-2.7.so
00d3d000-00d3f000 r-xp 00153000 08:07 1232302    /lib/libc-2.7.so
00d3f000-00d40000 rwxp 00155000 08:07 1232302    /lib/libc-2.7.so
00d40000-00d43000 rwxp 00d40000 00:00 0
00d45000-00d6c000 r-xp 00000000 08:07 1232306    /lib/libm-2.7.so
00d6c000-00d6d000 r-xp 00026000 08:07 1232306    /lib/libm-2.7.so
00d6d000-00d6e000 rwxp 00027000 08:07 1232306    /lib/libm-2.7.so
08047000-0805c000 r-xp 00000000 08:07 2703872    /usr/bin/ksysguardd
0805c000-0805d000 rw-p 00015000 08:07 2703872    /usr/bin/ksysguardd
0805d000-08085000 rw-p 0805d000 00:00 0
09325000-09367000 rw-p 09325000 00:00 0
b7f08000-b7f3d000 r--s 00000000 08:07 71022      /var/db/nscd/passwd
b7f3d000-b7f3f000 rw-p b7f3d000 00:00 0
b7f68000-b7f69000 rw-p b7f68000 00:00 0
bfb9f000-bfbb4000 rw-p bffea000 00:00 0          [stack]

IMO, that tool could be easily separated from the main kdebase(-workspace) 
package. I can test this setup on Fedora 8, if it is needed.
Comment 2 Rex Dieter 2008-03-11 20:09:49 EDT
specfile patches welcome. 
Comment 3 Kevin Kofler 2008-05-07 20:45:07 EDT
Canceling NEEDINFO, we can't really _require_ users to submit specfile 
patches. :-) But of course it would be nice. ;-)
Comment 4 Fedora Update System 2008-05-13 11:22:54 EDT
kdebase-4.0.4-2.fc9, kdeaccessibility-4.0.4-1.fc9, kde-l10n-4.0.4-1.fc9, kdetoys-4.0.4-1.fc9, kdebindings-4.0.4-1.fc9, kdenetwork-4.0.4-2.fc9, kdegraphics-4.0.4-1.fc9, kdeartwork-4.0.4-1.fc9, kdesdk-4.0.4-1.fc9, kdegames-4.0.4-1.fc9, kdebase-workspace-4.0.4-4.fc9, kdeutils-4.0.4-1.fc9, kdeedu-4.0.4-2.fc9, kdebase-runtime-4.0.4-1.fc9, kdemultimedia-4.0.4-1.fc9, kdelibs-4.0.4-1.fc9, kdeadmin-4.0.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase kdeaccessibility kde-l10n kdetoys kdebindings kdenetwork kdegraphics kdeartwork kdesdk kdegames kdebase-workspace kdeutils kdeedu kdebase-runtime kdemultimedia kdelibs kdeadmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3664
Comment 5 Bug Zapper 2008-05-14 00:13:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2008-05-21 06:58:07 EDT
kdebase-workspace-4.0.4-4.fc9, kdebase-4.0.4-2.fc9, kde-l10n-4.0.4-1.fc9, kdesdk-4.0.4-2.fc9, kdemultimedia-4.0.4-2.fc9, kdelibs-4.0.4-4.fc9, kdeedu-4.0.4-2.fc9, kdebase-runtime-4.0.4-1.fc9, kdepimlibs-4.0.4-1.fc9, kdenetwork-4.0.4-2.fc9, kdegraphics-4.0.4-1.fc9, kdeaccessibility-4.0.4-1.fc9, kdeartwork-4.0.4-1.fc9, kdeutils-4.0.4-1.fc9, kdebindings-4.0.4-1.fc9, kdetoys-4.0.4-1.fc9, kdegames-4.0.4-2.fc9, kdeadmin-4.0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.